﻿using System;

namespace Amanotes.TripleSDK.Firebase
{
    public interface IAuthProvider
    {        
        Provider providerType { get; }

        string ProviderID { get; }

        event Action<IAuthProvider> OnLinkSuccess;        

        event Action<IAuthProvider, string> OnLinkFail;

        event Action<IAuthProvider> OnSignInSuccess;

        event Action<IAuthProvider, string> OnSignInFail;

        void SignInAndReplaceData();

        void Link();

        void SignOut();
    }
}
